Package org.silverpeas.components.datawarning.control

## Class DataWarningSessionController

- java.lang.Object
- - org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
  - - org.silverpeas.components.datawarning.control.DataWarningSessionController

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

      public class DataWarningSessionController
      extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)` | Standard Session Controller Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `buildOptions​(List ar, String selectValue, String selectText, boolean bSorted)` |
    `String` | `getAnalysisTypeString()` |
    `String[]` | `getColumns()` |
    `DataWarningDBDriver` | `getCurrentDBDriver()` |
    `DataWarningQuery` | `getCurrentQuery()` |
    `int` | `getCurrentQueryType()` |
    `DataWarningDBDrivers` | `getDataWarningDBDrivers()` |
    `DataWarningEngine` | `getDataWarningEngine()` |
    `DataWarningDBDriver[]` | `getDBDrivers()` |
    `DataWarning` | `getEditedDataWarning()` |
    `DataWarningScheduler` | `getEditedScheduler()` |
    `List<Properties>` | `getSelectedGroups​(String[] selectedGroupsId)` |
    `List<Properties>` | `getSelectedGroupsNames​(String[] selectedGroupsId)` |
    `List<Properties>` | `getSelectedUsersNames​(String[] selectedUsersId)` |
    `String` | `getTextFrequenceScheduler()` |
    `String` | `initSelectionPeas()` |
    `boolean` | `isUserInDataWarningGroups()` |
    `DataWarning` | `resetEditedDataWarning()` |
    `DataWarningScheduler` | `resetEditedScheduler()` |
    `void` | `returnSelectionPeas()` |
    `void` | `setColumns​(String[] col)` |
    `void` | `setCurrentDBDriver​(String dbDriverUniqueId)` |
    `DataWarningQuery` | `setCurrentQueryType​(int qt)` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getHighestSilverpeasUserRole, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningSessionController

          public DataWarningSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl,
                                              org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)

      Standard Session Controller Constructeur
      Parameters:
        `mainSessionCtrl` - The user's profile
        `componentContext` - The component's profile

  - ### Method Detail

    - #### getDataWarningDBDrivers

          public DataWarningDBDrivers getDataWarningDBDrivers()

    - #### getDBDrivers

          public DataWarningDBDriver[] getDBDrivers()

    - #### setCurrentDBDriver

          public void setCurrentDBDriver​(String dbDriverUniqueId)

    - #### getCurrentDBDriver

          public DataWarningDBDriver getCurrentDBDriver()

    - #### initSelectionPeas

          public String initSelectionPeas()
                                   throws DataWarningException

      Throws:
        `DataWarningException`

    - #### returnSelectionPeas

          public void returnSelectionPeas()
                                   throws DataWarningException

      Throws:
        `DataWarningException`

    - #### buildOptions

          public String buildOptions​(List ar,
                                     String selectValue,
                                     String selectText,
                                     boolean bSorted)

    - #### getSelectedGroups

          public List<Properties> getSelectedGroups​(String[] selectedGroupsId)
                                             throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getSelectedUsersNames

          public List<Properties> getSelectedUsersNames​(String[] selectedUsersId)
                                                 throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getSelectedGroupsNames

          public List<Properties> getSelectedGroupsNames​(String[] selectedGroupsId)
                                                  throws DataWarningException

      Throws:
        `DataWarningException`

    - #### isUserInDataWarningGroups

          public boolean isUserInDataWarningGroups()
                                            throws DataWarningException

      Throws:
        `DataWarningException`

    - #### getTextFrequenceScheduler

          public String getTextFrequenceScheduler()

    - #### getColumns

          public String[] getColumns()

    - #### setColumns

          public void setColumns​(String[] col)

    - #### getAnalysisTypeString

          public String getAnalysisTypeString()

    - #### getDataWarningEngine

          public DataWarningEngine getDataWarningEngine()

    - #### setCurrentQueryType

          public DataWarningQuery setCurrentQueryType​(int qt)

    - #### getCurrentQuery

          public DataWarningQuery getCurrentQuery()

    - #### getCurrentQueryType

          public int getCurrentQueryType()

    - #### resetEditedScheduler

          public DataWarningScheduler resetEditedScheduler()

    - #### getEditedScheduler

          public DataWarningScheduler getEditedScheduler()

    - #### resetEditedDataWarning

          public DataWarning resetEditedDataWarning()

    - #### getEditedDataWarning

          public DataWarning getEditedDataWarning()